package shadersmod.transform;

import static shadersmod.transform.Names.*;
import shadersmod.transform.Namer;
import shadersmod.transform.Names.Clas;
import shadersmod.transform.Names.Fiel;
import shadersmod.transform.Names.Meth;

public class NamerSrg extends Namer {

	public void setNames1() {
		setNamesSrg();
	}
	public void setNamesSrg() {
		// classes
		block_            = c("net/minecraft/block/Block");
		blockFlowerPot_   = c("net/minecraft/block/BlockFlowerPot");
		minecraft_        = c("net/minecraft/client/Minecraft");
		guiButton_        = c("net/minecraft/client/gui/GuiButton");
		guiOptions_       = c("net/minecraft/client/gui/GuiOptions");
		guiScreen_        = c("net/minecraft/client/gui/GuiScreen");
		modelRenderer_    = c("net/minecraft/client/model/ModelRenderer");
		texturedQuad_     = c("net/minecraft/client/model/TexturedQuad");
		worldClient_      = c("net/minecraft/client/multiplayer/WorldClient");
		effectRenderer_   = c("net/minecraft/client/particle/EffectRenderer");
		entityRenderer_   = c("net/minecraft/client/renderer/EntityRenderer");
		glAllocation_     = c("net/minecraft/client/renderer/GLAllocation");
		glStateManager_   = c("net/minecraft/client/renderer/GlStateManager");
		itemRenderer_     = c("net/minecraft/client/renderer/ItemRenderer");
		openGlHelper_     = c("net/minecraft/client/renderer/OpenGlHelper");
		renderBlocks_     = c("net/minecraft/client/renderer/RenderBlocks");
		renderGlobal_     = c("net/minecraft/client/renderer/RenderGlobal");
		tessellator_      = c("net/minecraft/client/renderer/Tessellator");
		worldRenderer_    = c("net/minecraft/client/renderer/WorldRenderer");
		vertexUploader_   = c("net/minecraft/client/renderer/WorldVertexBufferUploader");
		frustum_         = c("net/minecraft/client/renderer/culling/Frustum");
		iCamera_          = c("net/minecraft/client/renderer/culling/ICamera");
		render_           = c("net/minecraft/client/renderer/entity/Render");
		layerDragonEyes_  = c("net/minecraft/client/renderer/entity/layers/LayerEnderDragonEyes");
		layerEndermanEyes_= c("net/minecraft/client/renderer/entity/layers/LayerEndermanEyes");
		layerSpiderEyes_  = c("net/minecraft/client/renderer/entity/layers/LayerSpiderEyes");
		renderManager_    = c("net/minecraft/client/renderer/entity/RenderManager");
		rendererLivingE_  = c("net/minecraft/client/renderer/entity/RendererLivingEntity");
		renderItemFrame_  = c("net/minecraft/client/renderer/tileentity/RenderItemFrame");
		animationMetadataSection_ = c("net/minecraft/client/resources/data/AnimationMetadataSection");
		abstractTexture_  = c("net/minecraft/client/renderer/texture/AbstractTexture");
		dynamicTexture_   = c("net/minecraft/client/renderer/texture/DynamicTexture");
		iTextureObject_   = c("net/minecraft/client/renderer/texture/ITextureObject");
		layeredTexture_   = c("net/minecraft/client/renderer/texture/LayeredTexture");
		simpleTexture_    = c("net/minecraft/client/renderer/texture/SimpleTexture");
		stitcher_         = c("net/minecraft/client/renderer/texture/Stitcher");
		textureAtlasSpri_ = c("net/minecraft/client/renderer/texture/TextureAtlasSprite");
		textureClock_     = c("net/minecraft/client/renderer/texture/TextureClock");
		textureCompass_   = c("net/minecraft/client/renderer/texture/TextureCompass");
		textureManager_   = c("net/minecraft/client/renderer/texture/TextureManager");
		textureMap_       = c("net/minecraft/client/renderer/texture/TextureMap");
		textureUtil_      = c("net/minecraft/client/renderer/texture/TextureUtil");
		textureDownload_  = c("net/minecraft/client/renderer/ThreadDownloadImageData");
		iResource_        = c("net/minecraft/client/resources/IResource");
		iResourceManager_ = c("net/minecraft/client/resources/IResourceManager");
		gameSettings_     = c("net/minecraft/client/settings/GameSettings");
		tessVertexState_  = c("net/minecraft/client/shader/TesselatorVertexState");
		entity_           = c("net/minecraft/entity/Entity");
		entityItemFrame_  = c("net/minecraft/entity/item/EntityItemFrame");
		entityLivingBase_ = c("net/minecraft/entity/EntityLivingBase");
		entityDragon_     = c("net/minecraft/entity/boss/EntityDragon");
		entityEnderman_   = c("net/minecraft/entity/monster/EntityEnderman");
		entitySpider_     = c("net/minecraft/entity/monster/EntitySpider");
		entityPlayer_     = c("net/minecraft/entity/player/EntityPlayer");
		item_             = c("net/minecraft/item/Item");
		itemBlock_        = c("net/minecraft/item/ItemBlock");
		itemStack_        = c("net/minecraft/item/ItemStack");
		movingObjectPos_  = c("net/minecraft/util/MovingObjectPosition");
		resourceLocation_ = c("net/minecraft/util/ResourceLocation");
		vec3_             = c("net/minecraft/util/Vec3");
		iBlockAccess_     = c("net/minecraft/world/IBlockAccess");
		world_            = c("net/minecraft/world/World");
		enumWorldBlockLayer_ = c("net/minecraft/util/EnumWorldBlockLayer");
		blockModelRenderer_ = c("net/minecraft/client/renderer/BlockModelRenderer");
		blockFluidRenderer_ = c("net/minecraft/client/renderer/BlockFluidRenderer");
		blockRendererDispatcher_ = c("net/minecraft/client/renderer/BlockRendererDispatcher");
		breakingFour_ = c("net/minecraft/client/renderer/block/model/BreakingFour");
		faceBakery_ = c("net/minecraft/client/renderer/block/model/FaceBakery");
		defVertexFormat_ = c("net/minecraft/client/renderer/vertex/DefaultVertexFormats");
		iBlockState_ = c("net/minecraft/block/state/IBlockState");
		blockPos_ = c("net/minecraft/util/BlockPos");
		vertexFormat_ = c("net/minecraft/client/renderer/vertex/VertexFormat");
		renderChunk_ = c("net/minecraft/client/renderer/chunk/RenderChunk");
		regionRenderCacheBuilder_ = c("net/minecraft/client/renderer/RegionRenderCacheBuilder");
		chunkRenderContainer_ = c("net/minecraft/client/renderer/ChunkRenderContainer");
		vboRenderList_ = c("net/minecraft/client/renderer/VboRenderList");
		iBakedModel_ = c("net/minecraft/client/resources/model/IBakedModel");
		blockPartFace_ = c("net/minecraft/client/renderer/block/model/BlockPartFace");
		blockPartRotation_ = c("net/minecraft/client/renderer/block/model/BlockPartRotation");
		modelRotation_ = c("net/minecraft/client/resources/model/ModelRotation");
		enumFacing_ = c("net/minecraft/util/EnumFacing");
		blockFaceUV_ = c("net/minecraft/client/renderer/block/model/BlockFaceUV");
		chunkCompileTaskGenerator_ = c("net/minecraft/client/renderer/chunk/ChunkCompileTaskGenerator");
		chunkRenderDispatcher_ = c("net/minecraft/client/renderer/chunk/ChunkRenderDispatcher");
		compiledChunk_ = c("net/minecraft/client/renderer/chunk/CompiledChunk");
		tileEntityBeacon_ = c("net/minecraft/tileentity/TileEntityBeacon");
		tileEntityBeaconRenderer_ = c("net/minecraft/client/renderer/tileentity/TileEntityBeaconRenderer");
		clippingHelper_   = c("net/minecraft/client/renderer/culling/ClippingHelper");
		layerArmorBase_ = c("net/minecraft/client/renderer/entity/layers/LayerArmorBase");
		modelBase_ = c("net/minecraft/client/model/ModelBase");
		connectedTextures_ = c("net/minecraft/src/ConnectedTextures"); // OptiFine

		// fields
		abstractTexture_glTextureId = f(abstractTexture_ ,"field_110553_a","I");
		entityLivingBase_deathTime  = f(entityLivingBase_,"field_70725_aQ","I");
		entityLivingBase_hurtTime   = f(entityLivingBase_,"field_70737_aN","I");
		entityRenderer_cameraZoom   = f(entityRenderer_  ,"field_78503_V" ,"D");
		entityRenderer_mc           = f(entityRenderer_  ,"field_78531_r" ,minecraft_.desc);
		entityRenderer_shouldRenderHand = f(entityRenderer_,"field_175074_C","Z");
		entityRenderer_frameCount   = f(entityRenderer_  ,"field_175084_ae","I");
		gameSettings_renderDistance = f(gameSettings_    ,"field_151451_c","I");
		guiButton_id                = f(guiButton_       ,"field_146127_k","I");
		guiScreen_buttonList        = f(guiScreen_       ,"field_146292_n","Ljava/util/List;");
		guiScreen_width             = f(guiScreen_       ,"field_146294_l","I");
		guiScreen_height            = f(guiScreen_       ,"field_146295_m","I");
		guiScreen_mc                = f(guiScreen_       ,"field_146297_k",minecraft_.desc);
		guiOptions_options          = f(guiOptions_      ,"field_146443_h",gameSettings_.desc);
		itemBlock_block             = f(itemBlock_       ,"field_150939_a",block_.desc);
		itemRenderer_itemToRender   = f(itemRenderer_    ,"field_78453_b",itemStack_.desc);
		layeredTexture_layeredTextureNames = f(layeredTexture_,"field_110567_b","Ljava/util/List;");
		minecraft_renderGlobal      = f(minecraft_       ,"field_71438_f" ,renderGlobal_.desc);
		minecraft_gameSettings      = f(minecraft_       ,"field_71474_y" ,gameSettings_.desc);
		modelRenderer_displayList   = f(modelRenderer_   ,"field_78811_r" ,"I");
		modelRenderer_compiled      = f(modelRenderer_   ,"field_78812_q" ,"Z");
		renderGlobal_glSkyList      = f(renderGlobal_    ,"field_72771_w" ,"I");
		renderGlobal_worldRenderers = f(renderGlobal_    ,"field_72765_l" ,"["+worldRenderer_.desc);
		rendererLivingE_mainModel   = f(rendererLivingE_ ,"field_77045_g" ,null);
		rendererLivingE_renderPassModel = f(rendererLivingE_,"field_77046_h",null);
		renderManager_entityRenderMap = f(renderManager_ ,"field_78729_o" ,"Ljava/util/Map;");
		renderManager_instance      = f(renderManager_   ,"field_78727_a" ,renderManager_.desc);
		simpleTexture_textureLocation = f(simpleTexture_ ,"field_110568_b",resourceLocation_.desc);
		tessellator_floatBuffer     = f(tessellator_     ,"field_147566_d","Ljava/nio/FloatBuffer;");
		tessellator_shortBuffer     = f(tessellator_     ,"field_147567_e","Ljava/nio/ShortBuffer;");
		tessellator_intBuffer       = f(tessellator_     ,"field_147568_c","Ljava/nio/IntBuffer;");
		tessellator_byteBuffer      = f(tessellator_     ,"field_78394_d" ,"Ljava/nio/ByteBuffer;");
		tessellator_rawBuffer       = f(tessellator_     ,"field_78405_h" ,"[I");
		tessellator_vertexCount     = f(tessellator_     ,"field_78406_i" ,"I");
		tessellator_hasNormals      = f(tessellator_     ,"field_78413_q" ,"Z");
		textureAtlasSpri_width      = f(textureAtlasSpri_,"field_130223_c",null);
		textureAtlasSpri_height     = f(textureAtlasSpri_,"field_130224_d",null);
		textureAtlasSpri_border     = f(textureAtlasSpri_,"field_147966_k",null);
		textureMap_anisotropic      = f(textureMap_      ,"field_147637_k",null);
		textureDownload_textureUploaded = f(textureDownload_,"field_110559_g","Z");
		vec3_xCoord                 = f(vec3_            ,"field_72450_a" ,"D");
		defVertexFormat_block = f(defVertexFormat_,"field_176600_a",vertexFormat_.desc);
		defVertexFormat_item = f(defVertexFormat_,"field_176599_b",vertexFormat_.desc);

		worldRenderer_rawIntBuffer   = f(worldRenderer_,"field_178999_b","Ljava/nio/IntBuffer;");
		worldRenderer_rawFloatBuffer = f(worldRenderer_,"field_179000_c","Ljava/nio/FloatBuffer;");
		worldRenderer_vertexCount    = f(worldRenderer_,"field_178997_d","I");
		worldRenderer_rawBufferIndex = f(worldRenderer_,"field_179008_i","I");
		worldRenderer_drawMode       = f(worldRenderer_,"field_179006_k","I");
		renderGlobal_renderDispatcher = f(renderGlobal_,"field_174995_M",chunkRenderDispatcher_.desc);

		// methods
		abstractTexture_deleteGlTexture    = m(abstractTexture_,"func_147631_c","()V");
		block_getAoLight                   = m(block_          ,"func_149685_I","()F");
		block_getBlockFromItem             = m(block_          ,"func_149634_a","("+item_.desc+")"+block_.desc);
		dynamicTexture_updateDynamicTexture= m(dynamicTexture_ ,"func_110564_a","()V");
		effectRenderer_renderLitParticles  = m(effectRenderer_ ,"func_78872_b" ,"("+entity_.desc+"F)V");
		effectRenderer_renderParticles     = m(effectRenderer_ ,"func_78874_a" ,"("+entity_.desc+"F)V");
		entity_getBrightness               = m(entity_         ,"func_70013_c" ,"(F)F");
		entityRenderer_enableLightmap      = m(entityRenderer_ ,"func_180436_i" ,"()V");
		entityRenderer_getMouseOver        = m(entityRenderer_ ,"func_78473_a" ,"(F)V");
		entityRenderer_updateFogColor      = m(entityRenderer_ ,"func_78466_h" ,"(F)V");
		entityRenderer_setupFog            = m(entityRenderer_ ,"func_78468_a" ,"(IF)V");
		entityRenderer_setFogColorBuffer   = m(entityRenderer_ ,"func_78469_a" ,"(FFFF)Ljava/nio/FloatBuffer;");
		entityRenderer_renderWorld         = m(entityRenderer_ ,"func_78471_a" ,"(FJ)V");
		entityRenderer_renderWorldPass     = m(entityRenderer_ ,"func_175068_a","(IFJ)V");
		entityRenderer_renderRainSnow      = m(entityRenderer_ ,"func_78474_d" ,"(F)V");
		entityRenderer_renderHand          = m(entityRenderer_ ,"func_78476_b" ,"(FI)V");
		entityRenderer_setupCameraTransform= m(entityRenderer_ ,"func_78479_a" ,"(FI)V");
		entityRenderer_disableLightmap     = m(entityRenderer_ ,"func_175072_h" ,"()V");
		entityRenderer_renderCloudsCheck   = m(entityRenderer_ ,"func_180437_a" ,"("+renderGlobal_.desc+"FI)V");
		gameSettings_saveOptions           = m(gameSettings_   ,"func_74303_b" ,"()V");
		gameSettings_shouldRenderClouds    = m(gameSettings_   ,"func_74309_c" ,"()Z");
		glAllocation_createDirectByteBuffer= m(glAllocation_   ,"func_74524_c" ,"(I)Ljava/nio/ByteBuffer;");
		glAllocation_createDirectIntBuffer = m(glAllocation_   ,"func_74527_f" ,"(I)Ljava/nio/IntBuffer;");
		glAllocation_deleteDisplayLists    = m(glAllocation_   ,"func_74523_b" ,"(I)V");
		glAllocation_generateDisplayLists  = m(glAllocation_   ,"func_74526_a" ,"(I)I");
		glStateManager_clear               = m(glStateManager_ ,"func_179086_m" ,"(I)V");
		glStateManager_clearColor          = m(glStateManager_ ,"func_179082_a" ,"(FFFF)V");
		glStateManager_viewport            = m(glStateManager_ ,"func_179083_b" ,"(IIII)V");
		glStateManager_setFog              = m(glStateManager_ ,"func_179093_d" ,"(I)V");
		glStateManager_depthMask           = m(glStateManager_ ,"func_179132_a" ,"(Z)V");
		glStateManager_pushMatrix          = m(glStateManager_ ,"func_179094_E" ,"()V");
		glStateManager_popMatrix           = m(glStateManager_ ,"func_179121_F" ,"()V");
		glStateManager_enableFog           = m(glStateManager_ ,"func_179127_m" ,"()V");
		glStateManager_disableFog          = m(glStateManager_ ,"func_179106_n" ,"()V");
		glStateManager_enableTexture2D     = m(glStateManager_ ,"func_179098_w" ,"()V");
		glStateManager_disableTexture2D    = m(glStateManager_ ,"func_179090_x" ,"()V");
		glStateManager_color3              = m(glStateManager_ ,"func_179124_c" ,"(FFF)V");
		glStateManager_color4              = m(glStateManager_ ,"func_179131_c" ,"(FFFF)V");
		glStateManager_rotate              = m(glStateManager_ ,"func_179114_b" ,"(FFFF)V");
		guiOptions_actionPerformed         = m(guiOptions_     ,"func_146284_a","("+guiButton_.desc+")V");
		guiOptions_initGui                 = m(guiOptions_     ,"func_73866_w_","()V");
		iCamera_setPosition                = m(iCamera_        ,"func_78547_a" ,"(DDD)V");
		iResourceManager_getResource       = m(iResourceManager_,"func_110536_a","("+resourceLocation_.desc+")"+iResource_.desc);
		itemRenderer_renderItem            = m(itemRenderer_   ,"func_78443_a" ,"("+entityLivingBase_.desc+itemStack_.desc+"I)V");
		itemRenderer_renderItemInFirstPerson = m(itemRenderer_ ,"func_78440_a" ,"(F)V");
		itemRenderer_renderOverlays        = m(itemRenderer_   ,"func_78447_b" ,"(F)V");
		itemRenderer_updateEquipped        = m(itemRenderer_   ,"func_78441_a" ,"()V");
		iTextureObject_loadTexture         = m(iTextureObject_ ,"func_110551_a","("+iResourceManager_.desc+")V");
		iTextureObject_getGlTextureId      = m(iTextureObject_ ,"func_110552_b","()I");
		minecraft_displayGuiScreen         = m(minecraft_      ,"func_147108_a","("+guiScreen_.desc+")V");
		minecraft_startGame                = m(minecraft_      ,"func_71384_a" ,"()V");
		openGlHelper_setActiveTexture      = m(openGlHelper_   ,"func_77473_a" ,"(I)V");
		render_renderShadow                = m(render_         ,"func_76975_c" ,"("+entity_.desc+"DDDFF)V");
		renderBlocks_renderBlockFluids     = m(renderBlocks_   ,"func_147721_p","("+block_.desc+"III)Z");
		renderBlocks_renderStdBlockWithCM  = m(renderBlocks_   ,"func_147736_d","("+block_.desc+"IIIFFF)Z");
		renderBlocks_renderBlockSandFalling= m(renderBlocks_   ,"func_147749_a","("+block_.desc+world_.desc+"IIII)V");
		renderBlocks_renderStdBlockWithAO  = m(renderBlocks_   ,"func_147751_a","("+block_.desc+"IIIFFF)Z");
		renderBlocks_renderBlockCactusImpl = m(renderBlocks_   ,"func_147754_e","("+block_.desc+"IIIFFF)Z");
		renderBlocks_renderBlockDoor       = m(renderBlocks_   ,"func_147760_u","("+block_.desc+"III)Z");
		renderBlocks_renderBlockBed        = m(renderBlocks_   ,"func_147773_v","("+block_.desc+"III)Z");
		renderBlocks_renderBlockByRenderType = m(renderBlocks_ ,"func_147805_b","("+block_.desc+"III)Z");
		renderBlocks_renderBlockFlowerPot  = m(renderBlocks_   ,"func_147752_a","("+blockFlowerPot_.desc+"III)Z");
		renderBlocks_renderStdBlockWithAOP = m(renderBlocks_   ,"func_147808_b","("+block_.desc+"IIIFFF)Z");
		renderBlocks_renderPistonExtension = m(renderBlocks_   ,"func_147809_c","("+block_.desc+"IIIZ)Z");
		renderItemFrame_renderItemInFrame  = m(renderItemFrame_,"func_82402_b" ,"("+entityItemFrame_.desc+")V");
		layerDragonEyes_render      = m(layerDragonEyes_   ,"func_177210_a" , "("+entityDragon_.desc+"FFFFFFF)V");
		layerEndermanEyes_render    = m(layerEndermanEyes_ ,"func_177201_a" , "("+entityEnderman_.desc+"FFFFFFF)V");
		layerSpiderEyes_render      = m(layerSpiderEyes_   ,"func_177148_a" , "("+entitySpider_.desc+"FFFFFFF)V");
		rendererLivingE_doRender           = m(rendererLivingE_,"func_76986_a" ,"("+entityLivingBase_.desc+"DDDFF)V");
		rendererLivingE_renderEquippedItems= m(rendererLivingE_,"func_77029_c" ,"("+entityLivingBase_.desc+"F)V");
		rendererLivingE_getColorMultiplier = m(rendererLivingE_,"func_77030_a" ,"("+entityLivingBase_.desc+"FF)I");
		rendererLivingE_renderLabel        = m(rendererLivingE_,"func_96449_a" ,"("+entityLivingBase_.desc+"DDDLjava/lang/String;FD)V");
		renderManager_renderEntitySimple   = m(renderManager_  ,"func_147937_a" ,"("+entity_.desc+"F)Z");
		renderManager_renderWitherSkull    = m(renderManager_  ,"func_178630_b" ,"("+entity_.desc+"F)V");
		renderGlobal_renderEntities        = m(renderGlobal_   ,"func_180446_a","("+entity_.desc+iCamera_.desc+"F)V");
		renderGlobal_renderSky             = m(renderGlobal_   ,"func_174976_a" ,"(FI)V");
		renderGlobal_preRenderBlockDamage  = m(renderGlobal_   ,"func_180443_s" ,"()V");
		renderGlobal_postRenderBlockDamage = m(renderGlobal_   ,"func_174969_t" ,"()V");
		renderGlobal_renderClouds          = m(renderGlobal_   ,"func_72718_b" ,"(F)V");
		renderGlobal_sortAndRender         = m(renderGlobal_   ,"func_72719_a" ,"("+entityLivingBase_.desc+"ID)I");
		renderGlobal_setupTerrain          = m(renderGlobal_   ,"func_174970_a" ,"("+entity_.desc+"D"+iCamera_.desc+"IZ)V");
		renderGlobal_updateChunks          = m(renderGlobal_   ,"func_174967_a" ,"(J)V");
		renderGlobal_renderBlockLayer1     = m(renderGlobal_   ,"func_174982_a" ,"("+enumWorldBlockLayer_.desc+")V");
		renderGlobal_renderBlockLayer4     = m(renderGlobal_   ,"func_174977_a" ,"("+enumWorldBlockLayer_.desc+"DI"+entity_.desc+")I");
		renderGlobal_drawSelectionBox      = m(renderGlobal_   ,"func_72731_b" ,"("+entityPlayer_.desc+movingObjectPos_.desc+"IF)V");
		renderGlobal_renderAllRenderLists  = m(renderGlobal_   ,"func_72733_a" ,"(ID)V");
		stitcher_getCurrentWidth           = m(stitcher_       ,"func_110935_a","()I");
		tessellator_sortQuad               = m(tessellator_    ,"func_147564_a","(FFF)"+tessVertexState_.desc);
		tessellator_addTranslation         = m(tessellator_    ,"func_78372_c" ,"(FFF)V");
		tessellator_setNormal              = m(tessellator_    ,"func_78375_b" ,"(FFF)V");
		tessellator_addVertex              = m(tessellator_    ,"func_78377_a" ,"(DDD)V");
		tessellator_reset                  = m(tessellator_    ,"func_78379_d" ,"()V");
		tessellator_draw                   = m(tessellator_    ,"func_78381_a" ,"()I");
		texturedQuad_draw                  = m(texturedQuad_   ,"func_178765_a" ,"("+worldRenderer_.desc+"F)V");		
		worldRenderer_startQuads           = m(worldRenderer_  ,"func_178970_b" ,"()V");
		vertexUploader_draw                = m(vertexUploader_ ,"func_178177_a","("+worldRenderer_.desc+"I)I");
		textureAtlasSpri_loadSprite        = m(textureAtlasSpri_,"func_147964_a","([Ljava/awt/image/BufferedImage;"+animationMetadataSection_.desc+"Z)V");
		textureAtlasSpri_getFrameTextureData = m(textureAtlasSpri_,"func_147962_a","([[IIII)[[I");
		textureAtlasSpri_prepareAF         = m(textureAtlasSpri_,"func_147960_a","([[III)[[I");
		textureAtlasSpri_getIconName       = m(textureAtlasSpri_,"func_94215_i","()Ljava/lang/String;");
		textureAtlasSpri_updateAnimation   = m(textureAtlasSpri_,"func_94219_l","()V");
		textureCompass_updateCompass       = m(textureCompass_ ,"func_94241_a" ,"("+world_.desc+"DDDZZ)V");
		textureManager_onResourceManagerReload = m(textureManager_,"func_110549_a","("+iResourceManager_.desc+")V");
		textureManager_bindTexture         = m(textureManager_ ,"func_110577_a","("+resourceLocation_.desc+")V");
		textureMap_loadTextureAtlas        = m(textureMap_     ,"func_110571_b","("+iResourceManager_.desc+")V");
		textureMap_getIconResLoc           = m(textureMap_     ,"func_147634_a","("+resourceLocation_.desc+"I)"+resourceLocation_.desc);
		textureMap_updateAnimations        = m(textureMap_     ,"func_94248_c" ,"()V");
		textureUtil_uploadTexture          = m(textureUtil_    ,"func_110988_a","(I[III)V");
		textureUtil_uploadTextureImageAllocate = m(textureUtil_,"func_110989_a","(ILjava/awt/image/BufferedImage;ZZ)I");
		textureUtil_allocateTexture        = m(textureUtil_    ,"func_110991_a","(III)V");
		textureUtil_allocateTextureMipmap  = m(textureUtil_    ,"func_180600_a","(IIII)V");
		textureUtil_uploadTexSub           = m(textureUtil_    ,"func_147955_a","([[IIIIIZZ)V");
		textureUtil_bindTexture            = m(textureUtil_    ,"func_94277_a" ,"(I)V");
		world_getCelestialAngle            = m(world_          ,"func_72826_c" ,"(F)F");
		world_getRainStrength              = m(world_          ,"func_72867_j" ,"(F)F");
		modelRenderer_render               = m(modelRenderer_  ,"func_78785_a" ,"(F)V");
		modelRenderer_renderWithRotation   = m(modelRenderer_  ,"func_78791_b" ,"(F)V");
		modelRenderer_compileDisplayList   = m(modelRenderer_  ,"func_78788_d" ,"(F)V");

		blockModelRenderer_fillQuadBounds   = m(blockModelRenderer_,"func_178261_a","("+block_.desc+"[I"+enumFacing_.desc+"[FLjava/util/BitSet;)V");
		blockRendererDispatcher_renderBlock = m(blockRendererDispatcher_,"func_175018_a","("+iBlockState_.desc+""+blockPos_.desc+""+iBlockAccess_.desc+""+worldRenderer_.desc+")Z");
		blockFluidRenderer_renderFluid      = m(blockFluidRenderer_,"func_178270_a","("+iBlockAccess_.desc+""+iBlockState_.desc+""+blockPos_.desc+""+worldRenderer_.desc+")Z");
		blockModelRenderer_renderModel      = m(blockModelRenderer_,"func_178259_a","("+iBlockAccess_.desc+""+iBakedModel_.desc+""+iBlockState_.desc+""+blockPos_.desc+""+worldRenderer_.desc+")Z");
		breakingFour_fillVertexUV           = m(breakingFour_,"func_178216_a","(I)V");
		faceBakery_makeQuadVertexData       = m(faceBakery_,"func_178405_a","("+blockPartFace_.desc+""+textureAtlasSpri_.desc+""+enumFacing_.desc+"[F"+modelRotation_.desc+blockPartRotation_.desc+"ZZ)[I");
		faceBakery_makeQuadVertexDataForge  = m(faceBakery_,"makeQuadVertexData","("+blockPartFace_.desc+""+textureAtlasSpri_.desc+""+enumFacing_.desc+"[F"+"Lnet/minecraftforge/client/model/ITransformation;"+blockPartRotation_.desc+"ZZ)[I");
		faceBakery_storeVertexData          = m(faceBakery_,"func_178404_a","([IIILjavax/vecmath/Vector3d;I"+textureAtlasSpri_.desc+""+blockFaceUV_.desc+")V");
		faceBakery_getFacingFromVertexData  = m(faceBakery_,"func_178410_a","([I)"+enumFacing_.desc+"");
		faceBakery_func_178408              = m(faceBakery_,"func_178408_a","([I"+enumFacing_.desc+")V");
		faceBakery_func_178401              = m(faceBakery_,"func_178401_a","(I[I"+enumFacing_.desc+""+blockFaceUV_.desc+""+textureAtlasSpri_.desc+")V");
		renderChunk_rebuildChunk            = m(renderChunk_,"func_178581_b","(FFF"+chunkCompileTaskGenerator_.desc+")V");
		renderChunk_postRenderBlocks        = m(renderChunk_,"func_178584_a","("+enumWorldBlockLayer_.desc+"FFF"+worldRenderer_.desc+""+compiledChunk_.desc+")V");
		regionRenderCacheBuilder_getWorldRendererByLayer = m(regionRenderCacheBuilder_,"func_179038_a","("+enumWorldBlockLayer_.desc+")"+worldRenderer_.desc+"");
		chunkRenderContainer_renderChunkLayer = m(chunkRenderContainer_,"func_178001_a","("+enumWorldBlockLayer_.desc+")V");
		vboRenderList_setupArrayPointers    = m(vboRenderList_,"func_178010_a","()V");
		worldRenderer_growBuffer      = m(worldRenderer_,"func_178983_e","(I)V");
		worldRenderer_setVertexFormat = m(worldRenderer_,"func_178967_a","("+vertexFormat_.desc+")V");
		worldRenderer_addVertexData   = m(worldRenderer_,"func_178981_a","([I)V");
		worldRenderer_addVertex       = m(worldRenderer_,"func_178984_b","(DDD)V");
		tileEntityBeaconRenderer_renderBeacon = m(tileEntityBeaconRenderer_,"func_180536_a","("+tileEntityBeacon_.desc+"DDDFI)V");
		layerArmorBase_renderEnchantedItemGlint = m(layerArmorBase_,"func_177183_a","("+entityLivingBase_.desc+modelBase_.desc+"FFFFFFF)V");
		
		connectedTextures_fixVertex = m(connectedTextures_,"fixVertex","([II"+textureAtlasSpri_.desc+textureAtlasSpri_.desc+")V");
	}
}
